import java.awt.Button;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;

public class LoginATM {
    public static void main(String[] args) {
		ATMframe atm=new ATMframe();
		panel panel=new panel();
		atm.setTitle("ATM操作系统");
		JLabel id=new JLabel("卡号：");
		JLabel pwd=new JLabel("密码：");
		JTextField userid=new JTextField();
		JPasswordField userpwd=new JPasswordField();
		/*id.setFont(new java.awt.Font("Dialog", 1, 30)); //“dialog”代表字体，1代表样式(1是粗体，0是平常的）15是字号
		pwd.setFont(new java.awt.Font("Dialog", 1, 30)); */
		panel.setLayout(new GridLayout(3,3));
		/*
		JPanel p1;
		for(int x=1;x<=9;x++){
			p1=new JPanel();
			p1.setOpaque(false);//设置此标签透明
			if(x==5){
				p1.add(id);
				p1.add(userid);
				p1.add(pwd);
				p1.add(userpwd);
			}
			if(x==8){
				p1.setLayout(new GridLayout(3,3));
				for(int y=1;y<=9;y++){
					JButton button=new JButton(y+"");
					p1.add(button);
				}
			}
			panel.add(p1);
		}*/
		/*atm.add(new Panel());*/
		atm.add(new panel());
	}
}
